## org.codehaus.plexus.digest
Class StreamingSha1Digester

    java.lang.Object
      org.codehaus.plexus.digest.AbstractStreamingDigester
          org.codehaus.plexus.digest.StreamingSha1Digester

All Implemented Interfaces:
  StreamingDigester

    public class StreamingSha1Digester

extends AbstractStreamingDigester

An SHA-1 implementation of the streaming digester.

Author:
  Brett Porter

Field Summary

Fields inherited from class org.codehaus.plexus.digest.AbstractStreamingDigester
`md`

Fields inherited from interface org.codehaus.plexus.digest.StreamingDigester
`ROLE`

Constructor Summary
`StreamingSha1Digester()`

Method Summary

Methods inherited from class org.codehaus.plexus.digest.AbstractStreamingDigester
`calc, calc, getAlgorithm, reset, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingSha1Digester

    public StreamingSha1Digester()

Copyright © 2011. All Rights Reserved.